# frozen_string_literal: true

module Bundler
  module Security
    # Build runner app errors
    module Errors
      # Base error class from which all the errors should inherit
      BaseError = Class.new(StandardError)
      # Raised when we couldn't find a valid configuration file
      MissingConfigurationFile = Class.new(BaseError)
      # When we receive invalid remote versions type
      InvalidRemoteVersionsType = Class.new(BaseError)
    end
  end
end
