# frozen_string_literal: true

module Bundler
  module Security
    module Voting
      # Remote policy settings from Coditsu
      RemotePolicy = Struct.new(:type, :threshold) do
        # How many time gem was marked as safe
        #
        # @return [Integer]
        def approved
          threshold['up'].to_i
        end

        # How many time gem was marked as malicious
        #
        # @return [Integer]
        def rejected
          threshold['down'].to_i
        end
      end
    end
  end
end
